Package org.opentcs.access

# Class KernelStateTransitionEvent

java.lang.Object
org.opentcs.access.KernelStateTransitionEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class KernelStateTransitionEvent
    extends java.lang.Object
    implements java.io.Serializable

Emitted by/for kernel state changes.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `KernelStateTransitionEvent​(Kernel.State leftState, Kernel.State enteredState, boolean transitionFinished)` | Creates a new TCSKernelStateEvent.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Kernel.State` | `getEnteredState()` | Returns the state for which this event was generated.
  `Kernel.State` | `getLeftState()` | Returns the state the kernel is leaving.
  `boolean` | `isTransitionFinished()` | Returns `true` if, and only if, the transition to the new kernel state is finished.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### KernelStateTransitionEvent

    public KernelStateTransitionEvent​(Kernel.State leftState, Kernel.State enteredState, boolean transitionFinished)
    Creates a new TCSKernelStateEvent.
    Parameters:
      `leftState` - The previous state of the kernel.
      `enteredState` - The new state of the kernel.
      `transitionFinished` - Whether the transistion is finished, yet.

- ## Method Details

  - ### getLeftState

    public Kernel.State getLeftState()
    Returns the state the kernel is leaving.
    Returns:
      The state the kernel is leaving.

  - ### getEnteredState

    public Kernel.State getEnteredState()
    Returns the state for which this event was generated.
    Returns:
      The state for which this event was generated.

  - ### isTransitionFinished

    public boolean isTransitionFinished()
    Returns `true` if, and only if, the transition to the new kernel state is finished.
    Returns:
      `true` if, and only if, the transition to the new kernel state is finished.

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`